# RENAME TABLE statement

RENAME TABLE allows you to rename an existing table in any schema (except the schema SYS).

To rename a table, you must either be the database owner or the table owner.

#### Syntax

    RENAME TABLE table-Name TO new-Table-Name

If there is a view or foreign key that references the table, attempts to rename it will generate an error. In addition, if there are any check constraints or triggers on the table, attempts to rename it will also generate an error.

    RENAME TABLE SAMP.EMP_ACT TO EMPLOYEE_ACT

Also see ALTER TABLE statement for more information.

#### Statement dependency system

If there is an index defined on the table, the table can be renamed.

The RENAME TABLE statement is not allowed if there are any open cursors that reference the table that is being altered.

Parent topic: RENAME statements
Related reference
RENAME COLUMN statement
RENAME INDEX statement